# Ferramenta de Programação

Cornelius
Schumacher

     schumacher@kde.org

Waldo
Bastian

     bastian@kde.org

Zack
Rusin

     zack@kde.org

01-06-2006
Ambiente de Trabalho K
kconfig_compiler
1

# kconfig_compiler

Compilador de configurações do KDE

    kconfig_compiler Opções do Qt Opções do KDE opções arquivo.kcfg arquivo.kcfgc

## Descrição

O `kconfig_compiler` gera código-fonte em C++ a partir de dois arquivos. O primeiro arquivo (.kcfg) contém informações sobre as opções de configuração e o segundo (.kcfgc) oferece as opções de geração de código.

O código-fonte gerado contém uma classe baseada na `KConfigSkeleton` que oferece uma API para acessar os dados de configuração das aplicações.

## Opções

### Argumentos:

arquivo.kcfg

  Arquivo 'kcfg' de entrada em XML

arquivo.kcfgc

  Arquivo das opções de geração de código

### Opções:

`-d, --directory <pasta>`

  A pasta para onde gerar os arquivos [.]

### Opções genéricas:

`--help`

  Mostra a ajuda sobre as opções.

`--help-qt`

  Mostra as opções específicas do Qt.

`--help-kde`

  Mostra as opções específicas do KDE

`--help-all`

  Mostrar todas as opções

`--author`

  Mostra informações sobre o autor.

`-v, --version`

  Mostra a versão.

`--license`

  Mostra informações sobre a licença

### Opções do KDE:

`--caption <título>`

  utiliza o 'caption' como o título da aplicação

`--icon <ícone>`

  utiliza o 'icon' como o ícone da aplicação

`--miniicon <ícone>`

  utiliza o 'icon' como o ícone da aplicação

`--config <arquivo>`

  Usar o arquivo de configuração alternativo

`--dcopserver <servidor>`

  Usar o servidor de DCOP indicado em 'servidor'

`--nocrashhandler`

  Desativar o tratamento de estouros para obter os arquivos 'core'

`--waitforwm`

  Espera um gerenciador de janelas compatível com WM_NET

`--style <estilo>`

  Define o estilo gráfico da aplicação

`--geometry <geometria>`

  Define a geometria do cliente da janela principal - veja o 'man X' para obter o formato dos argumentos

### Opções do Qt:

`--display <nome-tela>`

  Utilizar a tela do servidor de X 'nome-tela'

`--session <id-sessão>`

  Restaurar a aplicação com o 'id-sessão' fornecido

`--cmap`

  Faz com que a aplicação instale um mapa de cores privado em uma tela de 8 bits

`--ncols <quantidade>`

  Limita o número de cores reservadas no cubo de cores para uma tela de 8 bits, se a aplicação estiver usando as especificações de cores QApplication::ManyColor

`--nograb`

  Indica ao Qt para nunca capturar o mouse ou o teclado

`--sync`

  Muda para o modo síncrono, para fins de depuração

`--fn, --font <nome-fonte>`

  Define o tipo de letra da aplicação

`--bg, --background <cor>`

  Define a cor de fundo padrão, bem como uma paleta da aplicação (os tons claros e escuros são calculados)

`--fg, --foreground <cor>`

  Altera a cor padrão do texto

`--btn, --button <cor>`

  Altera a cor padrão dos botões

`--name <nome>`

  Define o nome da aplicação

`--title <título>`

  Define o título (legenda) da aplicação

`--visual TrueColor`

  Obriga a aplicação a usar um visual TrueColor em uma tela de 8 bits

`--inputstyle <estilo-entrada>`

  Define o estilo de inserção de dados do XIM (X Input Method). Os valores possíveis são 'onthespot', 'overthespot', 'offthespot' e 'root'

`--im <servidor de XIM>`

  Define o servidor de XIM

`--noxim`

  Desativa o XIM

`--reverse`

  Inverte por completo a disposição dos elementos gráficos

## Veja Também

`http://developer.kde.org`

  Página do Canto do Programador do KDE

## Problemas

Por favor, use o bugs.kde.org para reportar erros; não os envie diretamente para os autores por e-mail.